#### Description:

This function returns the current system time, represented in the form specified by the supplied TimeFrame. That is, the returned floating point value should be interpreted using the attribute values of the TimeFrame. This includes System, TimeOrigin, LTOffset, TimeScale, and Unit.

#### Synopsis

double astCurrentTime( AstTimeFrame ∗this )

#### Parameters:

##### this

Pointer to the TimeFrame.

#### Returned Value

##### astCurrentTime()

A TimeFrame axis value representing the current system time.

#### Notes:

- Values of AST__BAD will be returned if this function is invoked with the AST error status set, or if it should fail for any reason.

- It is assumes that the system time (returned by the C time() function) follows the POSIX standard, representing a continuous monotonic increasing count of SI seconds since the epoch 00:00:00 UTC 1 January 1970 AD (equivalent to TAI with a constant offset). Resolution is one second.

- An error will be reported if the TimeFrame has a TimeScale value which cannot be converted to TAI (e.g. `"` angular`"` systems such as UT1, GMST, LMST and LAST).

- Any inaccuracy in the system clock will be reflected in the value returned by this function.

Copyright (C) 2021 East Asian Observatory